package com.cygnusa.hyperm.wrappers;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.io.Serializable;
import java.util.List;

public class GetAllScorePercentage implements Serializable {

    @SerializedName("response")
    @Expose
    private String response;
    @SerializedName("data")
    @Expose
    private List<PercentageData> percentageDataList = null;
    @SerializedName("message")
    @Expose
    private String message;
    @SerializedName("response_text")
    @Expose
    private String responseText;
    @SerializedName("status")
    @Expose
    private Integer status;
    private final static long serialVersionUID = -7174307558198735285L;

    public String getResponse() {
        return response;
    }

    public void setResponse(String response) {
        this.response = response;
    }

    public List<PercentageData> getPercentageDataList() {
        return percentageDataList;
    }

    public void setPercentageDataList(List<PercentageData> percentageDataList) {
        this.percentageDataList = percentageDataList;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getResponseText() {
        return responseText;
    }

    public void setResponseText(String responseText) {
        this.responseText = responseText;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public static class PercentageData implements Serializable {

        @SerializedName("id")
        @Expose
        private String id;
        @SerializedName("name")
        @Expose
        private String name;
        @SerializedName("percentage")
        @Expose
        private String percentage;
        private final static long serialVersionUID = -5362632287884313754L;

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getPercentage() {
            return percentage;
        }

        public void setPercentage(String percentage) {
            this.percentage = percentage;
        }

    }
}